## arch2darcs 1.0.15

=== Makefile ===
# Copyright (C) 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs arch2darcs.cabal
	ghc -package Cabal Setup.lhs -o setup

clean:
	-./setup clean
	-rm -rf dist *.ho *.hi *.o *.a setup *~

## arch2darcs 1.0.3

=== debian/changelog ===
arch2darcs (1.0.3) unstable; urgency=low

  * No longer requires tagging-method workaround.
  * New command-line options: -v, -S
  * Various minor bugfixes.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 04:11:00 -0500

arch2darcs (1.0.2) unstable; urgency=low

  * No longer bother to check current directory for darcs ourselves;
    is more flexible in non-conventional situations.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Apr 2005 21:54:30 -0500

arch2darcs (1.0.1) unstable; urgency=low

  * Ignore renames where src and dest are equal.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Apr 2005 00:00:13 -0500

arch2darcs (1.0.0) unstable; urgency=low

  * Initial Release.  Closes: #304863.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Apr 2005 19:34:10 -0500

=== debian/control ===
Source: arch2darcs
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.1), libghc6-cabal-dev (>= 0.5), libghc6-missingh-dev (>= 0.10.6)
Standards-Version: 3.6.1

Package: arch2darcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, darcs (>= 1.0.2), tla (>= 1.3)
Description: Convert Arch/tla repositories to Darcs
 arch2darcs is used to convert an Arch repository to Darcs,
 automaticaly preserving:
 .
  * All original logs
 .
  * Modification dates
 .
  * All adds, deletes, and renames that were versioned with tla
 .
  * Files in Arch.
 .
 arch2darcs can process entire Arch/tla branches at once.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/arch2darcs.sgml > arch2darcs.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arch2darcs.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/arch2darcs
	cp dist/build/arch2darcs debian/arch2darcs/usr/bin/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## arch2darcs 1.0.6

=== debian/changelog ===
arch2darcs (1.0.6) unstable; urgency=low

  * Applied patch from Christian Thater to handle filenames with spaces.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 11 Oct 2005 05:54:25 -0500

arch2darcs (1.0.5) unstable; urgency=low

  * Rebuild against newer GHC due to gmp transition in unstable.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Sep 2005 06:37:33 -0500

arch2darcs (1.0.4) unstable; urgency=low

  * Add delay before calling darcs record.  Closes: #316375.
  * Updated for ghc6.4 cabal.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 11 Jul 2005 05:52:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.1), libghc6-cabal-dev (>= 0.5), libghc6-missingh-dev (>= 0.10.6)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4-4.1), libghc6-missingh-dev (>= 0.10.6)
 Standards-Version: 3.6.1
 
 Package: arch2darcs

## arch2darcs 1.0.7

=== debian/changelog ===
arch2darcs (1.0.7) unstable; urgency=low

  * Fix to build under GHC 6.4.2, and rebuild under GHC 6.4.2.
    Closes: #376505.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  3 Jul 2006 10:30:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4-4.1), libghc6-missingh-dev (>= 0.10.6)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.10.6)
 Standards-Version: 3.6.1
 
 Package: arch2darcs

## arch2darcs 1.0.8

=== debian/changelog ===
arch2darcs (1.0.8) unstable; urgency=low

  * Rebuilt with GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 10:35:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.10.6)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.10.6), libghc6-network-dev, libghc6-unix-dev
 Standards-Version: 3.6.1
 
 Package: arch2darcs

## arch2darcs 1.0.10

=== debian/changelog ===
arch2darcs (1.0.10) testing-proposed-updates; urgency=low

  * Re-upload to testing-proposed-updates for etch.  Closes: #414675.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 06:12:03 -0500

## arch2darcs 1.0.12

=== debian/changelog ===
arch2darcs (1.0.12) unstable; urgency=low

  * Really into unstable this time!

 -- John Goerzen <jgoerzen@complete.org>  Sat, 14 Apr 2007 09:23:53 -0500

arch2darcs (1.0.11) testing-proposed-updates; urgency=low

  * Re-upload into unstable.  Closes: #409685.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:03:03 -0500

arch2darcs (1.0.9) unstable; urgency=low

  * Update to build against newer MissingH.  Closes: #409685.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 05:11:54 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.10.6), libghc6-network-dev, libghc6-unix-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
 Standards-Version: 3.6.1
 
 Package: arch2darcs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 	# Add here commands to install the package into debian/arch2darcs.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/arch2darcs
-	cp dist/build/arch2darcs debian/arch2darcs/usr/bin/
+	cp dist/build/arch2darcs/arch2darcs debian/arch2darcs/usr/bin/
 
 
 # Build architecture-independent files here.

## arch2darcs 1.0.13

=== debian/changelog ===
arch2darcs (1.0.13) unstable; urgency=low

  * Added build-depends on directory.  Patch from Mikhail Gusarov.
    Closes: #470378.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Mar 2008 08:47:47 -0500

## arch2darcs 1.0.15

=== debian/changelog ===
arch2darcs (1.0.15) unstable; urgency=low

  * QA upload.
  * Remove spurious blank lines from long description. Closes: #307273.
  * Fix a spelling error in long description. Closes: #362734.
  * debian/copyright: update address of the FSF
  * remove spurious debian/manpage.sgml.ex
  * debian/rules: do not ignore errors of "make clean"

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Aug 2009 22:19:33 +0200

arch2darcs (1.0.14) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 20 Aug 2009 14:39:22 -0500

=== debian/control ===
Source: arch2darcs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
Standards-Version: 3.6.1

Package: arch2darcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, darcs (>= 1.0.2), tla (>= 1.3)
Description: Convert Arch/tla repositories to Darcs
 arch2darcs is used to convert an Arch repository to Darcs,
 automatically preserving:
 .
  - all original logs,
  - modification dates,
  - all adds, deletes, and renames that were versioned with tla,
  - files in Arch.
 .
 arch2darcs can process entire Arch/tla branches at once.

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-
+	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean 
 
 install: build
